package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Team;
import cn.wise.sc.cement.business.model.vo.TeamListVo;
import cn.wise.sc.cement.business.model.vo.TeamVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-18
 */
public interface TeamMapper extends BaseMapper<Team> {

	IPage<TeamVo> getPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	List<TeamListVo> getList();

	TeamVo getDetail(Integer id);

	List<Map<String, Object>> exportList(@Param("params") Map<String, Object> params);

	List<String> getByGroup(Integer groupId);

	List<Map<String,String>> getListByGroup(Integer groupId);





}
